<div class="navbar navbar-light fixed-top navbar-expand-md recolour">
  <span class="d-none d-md-inline">
    <a class="navbar-brand" [routerLink]="['/main']" (click)="navbarCollapsed = true">Universal Draft</a>
  </span>
  <div class="navbar-container">
    <button class="navbar-toggler navbar-toggler-right" type="button" (click)="navbarCollapsed = !navbarCollapsed" [attr.aria-expanded]="!navbarCollapsed"
      aria-controls="navbarContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="navbar-collapse" [ngbCollapse]="navbarCollapsed" id="navbarContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/main']" (click)="navbarCollapsed = true">Home</a>
        </li>
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/universes']" (click)="navbarCollapsed = true">Universes</a>
        </li>
        <!-- <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/draft']" (click)="navbarCollapsed = true">Draft</a>
        </li>
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/teams']" (click)="navbarCollapsed = true">Teams</a>
        </li>
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/gods']" (click)="navbarCollapsed = true">Gods</a>
        </li>
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/zeno']" (click)="navbarCollapsed = true">Zeno</a>
        </li> -->
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/users']" (click)="navbarCollapsed = true">Users</a>
        </li>
        <li class="nav-item" [routerLinkActive]="['active']">
            <a class="nav-link" [routerLink]="['/posts']" (click)="navbarCollapsed = true">Posts</a>
          </li>
        <li class="nav-item" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/register']" (click)="navbarCollapsed = true">Register</a>
        </li>
        <li class="nav-item" [routerLinkActive]="['active']">
            <a class="nav-link" [routerLink]="['/login']" (click)="navbarCollapsed = true">Login</a>
          </li>
        <li class="nav-item d-lg-none" *ngFor="let component of components" [routerLinkActive]="['active']">
          <a class="nav-link" [routerLink]="['/components', component.toLowerCase()]" (click)="navbarCollapsed = true">{{ component }}</a>
        </li>
      </ul>
    </div>
  </div>
</div>